Page MenuHomePhabricator

rust-discovery: read the index from a repo passed at init
ClosedPublic

Authored by gracinet on Jun 12 2019, 2:13 PM.

Details

Summary

This makes the API of the Rust PartialDiscovery object now
the same (or rather a subset) of the Python object, hence
easier to control through module policy down the road.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

gracinet created this revision.Jun 12 2019, 2:13 PM
kevincox accepted this revision.Jun 13 2019, 6:05 AM
Alphare updated this revision to Diff 15932.Jul 17 2019, 12:30 PM
Alphare updated this revision to Diff 16011.Jul 23 2019, 5:14 AM
durin42 added inline comments.Aug 14 2019, 3:27 PM
tests/test-rust-discovery.py
34

I'd rather we not have this one object that mocks both a repo and a changelog - it _will_ become confusing in the future. Make it two objects.

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.